This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1276849 - AttributeError: 'NoneType' object has no attribute 'uuid'
AttributeError: 'NoneType' object has no attribute 'uuid'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
abrt_hash:6d1b26372845f32b6786cb600d2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-31 07:54 EDT by Dani
Modified: 2016-07-19 14:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:22:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (440.27 KB, text/plain)
2015-10-31 07:54 EDT, Dani
no flags Details
File: anaconda.log (7.94 KB, text/plain)
2015-10-31 07:54 EDT, Dani
no flags Details
File: environ (613 bytes, text/plain)
2015-10-31 07:54 EDT, Dani
no flags Details
File: journalctl (329.87 KB, text/plain)
2015-10-31 07:55 EDT, Dani
no flags Details
File: lsblk_output (3.64 KB, text/plain)
2015-10-31 07:55 EDT, Dani
no flags Details
File: nmcli_dev_list (1.20 KB, text/plain)
2015-10-31 07:55 EDT, Dani
no flags Details
File: os_info (500 bytes, text/plain)
2015-10-31 07:55 EDT, Dani
no flags Details
File: program.log (28.48 KB, text/plain)
2015-10-31 07:55 EDT, Dani
no flags Details
File: storage.log (68.86 KB, text/plain)
2015-10-31 07:55 EDT, Dani
no flags Details
File: ifcfg.log (2.11 KB, text/plain)
2015-10-31 07:55 EDT, Dani
no flags Details

  None (edit)
Description Dani 2015-10-31 07:54:49 EDT
Description of problem:
I've booted into the Desktop and pressed the Install Fedora button. The installation screen loaded and a few seconds laters (10seconds at most) this message showed up. Tried recreating the installation medium but that didnt fix the problem. 

Version-Release number of selected component:
anaconda-core-22.20.13-1.fc22.x86_64

The following was filed automatically by anaconda:
anaconda 22.20.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1597, in handleUdevMDMemberFormat
    md_uuid = md_info.uuid
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1893, in handleUdevDeviceFormat
    self.handleUdevMDMemberFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1261, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 2193, in _populate
    self.addUdevDevice(dev)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 2127, in populate
    self._populate()
  File "/usr/lib/python2.7/site-packages/blivet/blivet.py", line 277, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python2.7/site-packages/blivet/osinstall.py", line 1116, in storageInitialize
    storage.reset()
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 244, in run
    threading.Thread.run(self, *args, **kwargs)
AttributeError: 'NoneType' object has no attribute 'uuid'

Additional info:
cmdline:        /usr/bin/python2  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=LIVE rootfstype=vfat ro rd.live.image quiet rhgb rd.luks=0 rd.md=0 rd.dm=0 BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.0.4-301.fc22.x86_64
other involved packages: python-libs-2.7.9-6.fc22.x86_64, python-blivet-1.0.9-1.fc22.noarch
product:        Fedora
release:        Fedora release 22 (Twenty Two)
type:           anaconda
version:        22
Comment 1 Dani 2015-10-31 07:54:55 EDT
Created attachment 1088164 [details]
File: anaconda-tb
Comment 2 Dani 2015-10-31 07:54:57 EDT
Created attachment 1088165 [details]
File: anaconda.log
Comment 3 Dani 2015-10-31 07:54:58 EDT
Created attachment 1088166 [details]
File: environ
Comment 4 Dani 2015-10-31 07:55:01 EDT
Created attachment 1088167 [details]
File: journalctl
Comment 5 Dani 2015-10-31 07:55:02 EDT
Created attachment 1088168 [details]
File: lsblk_output
Comment 6 Dani 2015-10-31 07:55:03 EDT
Created attachment 1088169 [details]
File: nmcli_dev_list
Comment 7 Dani 2015-10-31 07:55:05 EDT
Created attachment 1088170 [details]
File: os_info
Comment 8 Dani 2015-10-31 07:55:06 EDT
Created attachment 1088171 [details]
File: program.log
Comment 9 Dani 2015-10-31 07:55:08 EDT
Created attachment 1088172 [details]
File: storage.log
Comment 10 Dani 2015-10-31 07:55:10 EDT
Created attachment 1088173 [details]
File: ifcfg.log
Comment 11 Fedora End Of Life 2016-07-19 14:22:55 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.